// Spectator Info

sm_mode2 set r

sm_menu "Spectator Info\\y\\R{sm_mode2&r?ON:OFF}" "sm_mode2 {sm_mode2&r?remove:set} r"


alias set_si "sm_sayformat 255 255 255 0.02 0.90 2 0.02 3 0.01 0.1 2"

sm_register "TextMsg r 2" "{%.si{p.id}={V2&2?0:1}}" bdeh "2=#Spec_Mode"
sm_register "StatusValue r 2" "{%.si{p.id}?#}set_si;sm_tell #{p.uid} \'{V2.name?$:#}'s rank is: {V2.rk.id} of {ranknum}\'" bdeh "1=2"
